Fixed missing conjunction; move preprocess_config into main.sh

This commit is contained in:
oddlama 2020-04-21 18:59:49 +02:00
parent 506bb9acf8
commit 25adbb0b68
No known key found for this signature in database
GPG Key ID: 88EA325D51D53908
4 changed files with 8 additions and 10 deletions

View File

@ -80,8 +80,3 @@ ANSIBLE_SSH_AUTHORIZED_KEYS=""
# To prove that you have read and edited the config
# properly, set the following value to true.
I_HAVE_READ_AND_EDITED_THE_CONFIG_PROPERLY=false
################################################
# DO NOT EDIT
preprocess_config

View File

@ -35,13 +35,13 @@ check_config() {
|| die "You must assign DISK_ID_EFI or DISK_ID_BOOT"
[[ -v "DISK_ID_BOOT" ]] && [[ -v "DISK_ID_TO_UUID[$DISK_ID_BOOT]" ]] \
die "Missing uuid for DISK_ID_BOOT, have you made sure it is used?"
|| die "Missing uuid for DISK_ID_BOOT, have you made sure it is used?"
[[ -v "DISK_ID_EFI" ]] && [[ -v "DISK_ID_TO_UUID[$DISK_ID_EFI]" ]] \
die "Missing uuid for DISK_ID_EFI, have you made sure it is used?"
|| die "Missing uuid for DISK_ID_EFI, have you made sure it is used?"
[[ -v "DISK_ID_SWAP" ]] && [[ -v "DISK_ID_TO_UUID[$DISK_ID_SWAP]" ]] \
die "Missing uuid for DISK_ID_SWAP, have you made sure it is used?"
|| die "Missing uuid for DISK_ID_SWAP, have you made sure it is used?"
[[ -v "DISK_ID_ROOT" ]] && [[ -v "DISK_ID_TO_UUID[$DISK_ID_ROOT]" ]] \
die "Missing uuid for DISK_ID_ROOT, have you made sure it is used?"
|| die "Missing uuid for DISK_ID_ROOT, have you made sure it is used?"
if [[ $INSTALL_ANSIBLE == true ]]; then
[[ $INSTALL_SSHD == true ]] \

View File

@ -31,6 +31,8 @@ source "$GENTOO_INSTALL_REPO_DIR/scripts/functions.sh"
[[ $I_HAVE_READ_AND_EDITED_THE_CONFIG_PROPERLY == true ]] \
|| die "You have not properly read the config. Set I_HAVE_READ_AND_EDITED_THE_CONFIG_PROPERLY=true to continue."
preprocess_config
mkdir_or_die 0755 "$TMP_DIR"
[[ $EUID == 0 ]] \
|| die "Must be root"

View File

@ -18,7 +18,8 @@ eerror() {
die() {
eerror "$*"
kill "$GENTOO_INSTALL_REPO_SCRIPT_PID"
echo "Aborted." >&2
kill "$GENTOO_INSTALL_REPO_SCRIPT_PID" >/dev/null
exit 1
}